bug-coreutils@gnu.org mirror (unofficial)
 help / color / mirror / Atom feed
From: "Pádraig Brady" <P@draigBrady.com>
To: 61050@debbugs.gnu.org, eggert@cs.ucla.edu, vapier@gentoo.org
Subject: bug#61050: mv: add support for --one-file-system
Date: Fri, 27 Jan 2023 19:50:18 +0000	[thread overview]
Message-ID: <eb71ae2f-79fe-2a2d-9472-a140ac1fa191@draigBrady.com> (raw)
In-Reply-To: <13ba87b0-ffce-7e57-6c1d-536cafe45754@cs.ucla.edu>

On 27/01/2023 19:13, Paul Eggert wrote:
> On 2023-01-25 05:34, Mike Frysinger wrote:
>> should there be a `--copy` flag to be able to undo `--no-copy` ?
> 
> We can add one if there's a need, but mv doesn't have a --clobber option
> to match its --no-clobber and I'm hoping --no-copy is similar.
> 
>> personally i always argue against using negative variable names
> 
> Yes, I considered calling it "rename_only" instead of "no_copy", but the
> pull of the --no-copy option's name was too strong. Besides,
> "rename_only" wasn't quite right either as "mv --no-copy" does more than
> just renaming (e.g., if the destination is not writeable).
> 
> If we can come up with a better name now's a good time to switch. In the
> meantime I installed the attached coreutils patch.

Looks good. I pushed this tweak.

thanks,
Pádraig

commit 95bc69a7e71dd2a9b2ca11452be19fa856eb2bbf (HEAD -> master)
Author: Pádraig Brady <P@draigBrady.com>
Date:   Fri Jan 27 19:46:52 2023 +0000

     tests: ensure we fail if mv --no-copy crashes

     * tests/mv/no-copy.sh: Honor `make syntax` check
     and use the `returns_ 1 ...` pattern.

diff --git a/tests/mv/no-copy.sh b/tests/mv/no-copy.sh
index fba475c03..5a55fdf74 100755
--- a/tests/mv/no-copy.sh
+++ b/tests/mv/no-copy.sh
@@ -25,8 +25,8 @@ mkdir dir || framework_failure_
  > dir/a || framework_failure_
  > file || framework_failure_

-mv --no-copy dir "$other_partition_tmpdir" && fail=1
-mv --no-copy file "$other_partition_tmpdir" && fail=1
+returns_ 1 mv --no-copy dir "$other_partition_tmpdir" || fail=1
+returns_ 1 mv --no-copy file "$other_partition_tmpdir" || fail=1
  mv dir "$other_partition_tmpdir" || fail=1
  mv file "$other_partition_tmpdir" || fail=1





      reply	other threads:[~2023-01-27 19:51 UTC|newest]

Thread overview: 6+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-01-25  1:20 bug#61050: mv: add support for --one-file-system Mike Frysinger
2023-01-25  9:07 ` Paul Eggert
2023-01-25 10:33   ` Pádraig Brady
2023-01-25 13:34   ` Mike Frysinger
2023-01-27 19:13     ` Paul Eggert
2023-01-27 19:50       ` Pádraig Brady [this message]

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

  List information: https://lists.gnu.org/mailman/listinfo/bug-coreutils

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=eb71ae2f-79fe-2a2d-9472-a140ac1fa191@draigBrady.com \
    --to=p@draigbrady.com \
    --cc=61050@debbugs.gnu.org \
    --cc=eggert@cs.ucla.edu \
    --cc=vapier@gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).